import React, { Component } from 'react';
// import PropTypes from 'prop-types';
import DisasterDetails from './DisasterDetails';
import DisasterTabs from './DisasterTabs';

/**
 * 动态信息
 *
 * @class DynamicInfo
 * @extends {Component}
 */
class DynamicInfo extends Component {
  constructor(props) {
    super(props);
    this.state = {

    };
  }

  render() {
    return (
      <div className="ccs-disaster-dynamicinfo">
        <div className="ccs-disaster-dynamicinfo-details-wrapper">
          <DisasterDetails {...this.props} />
        </div>
        <div className="ccs-disaster-dynamicinfo-tabs-wrapper">
          <DisasterTabs {...this.props} />
        </div>
      </div>
    );
  }
}

export default DynamicInfo;
